MineCraft爱好者
MineCraft-我的世界热爱者是我的世界服主资源分享交流站为MC服主提供最新最全的游戏资料Bukkit插件Sponge插件服务端整合包等打造国内最大的Minecraft插件基地和精品资源分享平台
Confirm Menu—确认菜单[1.8-1.15]【Bukkit】

13de074a9a0141c01fefe9f306553513ddf51b99.png

此spigot插件可与1.8至1.15的所有Minecraft版本一起使用,使您可以轻松地将所有命令(包括与其他插件一起添加的命令)添加到确认菜单! ConfirmMenu还具有可在8种不同语言之间轻松更改语言的系统!


This spigot plugin working with all versions of minecraft from 1.8 to 1.15 will allow you to easily add to a confirmation menu for all of your commands, including those added with your other plugins !
ConfirmMenu also has a system for easily changing languages between 8 different languages !

演示

7988c3e26436886ec9db16eb2e35ec025844e221.gif

特点

确认菜单
书面确认
可配置信息
权限

配置文件

# List of commands that require confirmation
Commands: "reload, stop"
# List of commands that require a confirmation by writing "confirm"
CommandsWrite: "kick, ban"

# Enable open sound
OpenSound: true
# OP players have permission to skip confirmation by default ( confirmmenu.skip )
SkipPermsForOP: false
# Messages ( color codes are valid )
Text:
    ConfirmMessage: "&eAre you sure ?"
    WriteConfirmMessage: "&eWrite CONFIRM to confirm, or something else to cancel."
    CancelMessage: "&cCanceled !"
    MenuTitle: "&8&lCONFIRM"
    MenuConfirm: "&a&lCONFIRM"
    MenuCancel: "&c&lCANCEL"
    NewVersion: "&eA new version of the plugin is available !"
    UpdateFail: "&cCould not check for updates !"
# Changing the language will automatically change the configuration on the next reboot
# Available languages : EN | FR | ES | DE | TK | ZH | RU | PL | OTHER
Language : "EN"
# Check for updates and send a message to the console
UpdateCheck: true

配置文件(中文)

# 需要点击确认才能继续执行的命令
Commands: "reload, stop"
# 需要输入“确认”才能继续执行的命令
CommandsWrite: "kick, ban"

# 界面有无声音
OpenSound: true
# 默认情况下op是否有权限跳过确认 ( confirmmenu.skip )
SkipPermsForOP: false
# 聊天信息 ( 可以使用颜色代码 )
Text:
    ConfirmMessage: "&e你确定吗 ?"
    WriteConfirmMessage: "&e输入CONFIRM以确认, 输入其他字符以取消."
    CancelMessage: "&c你取消了这次操作 !"
    MenuTitle: "&8&l确认界面"
    MenuConfirm: "&a&l确认"
    MenuCancel: "&c&l取消"
    NewVersion: "&e插件有新版本更新 !"
    UpdateFail: "&c无法检测更新 !"
# 更改语言,将在重新载入插件时更新
# 可用语言 : EN | FR | ES | DE | TK | ZH | RU | PL | OTHER
Language : "ZH"
# 是否检测更新
UpdateCheck: true

权限

confirmmenu.skip 跳过确认(可以在配置文件中取消)
confirmmenu.update 接收更新通知

评论

3条评论

    知子翼
    2020-07-03 17:59

    支持!!

    玖珞
    玖珞
    2020-05-27 10:36

    高能啊!

    666
    666
    2020-04-27 18:41

    牛啊

bug_report 开发